<?php
/*
     Copyright (C) 2011  Likno Software

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.view');
;

/**
 * HTML View class for the Likno Web Tabs Builder component
 *
 * @package		Joomla.Administrator
 * @subpackage	com_lwtb_component
 * @since 1.0
 */
class liknowebtabsViewList extends JViewLegacy
{
	function display($tpl = null)
	{
		$app	= JFactory::getApplication();
		
		$document = JFactory::getDocument();
		$lang	= JFactory::getLanguage();
		JHtml::_('behavior.framework', true);
		$document->addStyleDeclaration( "#lwtb_form fieldset {
			margin-bottom: 10px;
			border: 1px #ccc solid;
			padding: 5px;
			text-align: left;
			}

#lwtb_form fieldset select,

#lwtb_form fieldset button {
    float: left;
    width: auto;
    margin: 5px 5px 5px 0px;
}
			
			.buttons {
	width: 70px;
	text-align: center;	
	}
	.fltrt {
	float: right;
}
	div#main {
	min-height: 250px;
}
.fltlft {
	float: left;
}

			" );

		
		$model = $this->getModel();
		$tabs = $model->getTabs();
		        $this->assignRef( 'tabs',	$tabs );
		$modules_url = ($app->isAdmin()?"":"administrator/")."index.php?option=com_modules";
					$this->assignRef('modules_url', $modules_url);
		
		//JHtml::_('behavior.modal');
		$js = "function lwtb_onsubmit(name,editor){
					if (name!= \"none\")
					window.parent.jInsertEditorText(\"{tabs[\"+name+\"]}\", editor);
					}";
		$document->addScriptDeclaration($js);
		
		

		parent::display($tpl);
	}




}
